Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# bson_reader_reset()

## Synopsis

    void
    bson_reader_reset (bson_reader_t *reader);

## Parameters

- `reader`: A bson_reader_t.

## Description

Seeks to the beginning of the underlying buffer. Valid only for a reader created from a buffer with bson_reader_new_from_data(), not one created from a file, file descriptor, or handle.